Index: /trunk/bp-activity.php
===================================================================
--- /trunk/bp-activity.php	(revision 3727)
+++ /trunk/bp-activity.php	(revision 3728)
@@ -1,3 +1,5 @@
 <?php
+
+// Required Files
 require ( BP_PLUGIN_DIR . '/bp-activity/bp-activity-classes.php' );
 require ( BP_PLUGIN_DIR . '/bp-activity/bp-activity-templatetags.php' );
@@ -7,15 +9,21 @@
 	global $bp, $current_blog;
 
+	// Define a slug, if necessary
 	if ( !defined( 'BP_ACTIVITY_SLUG' ) )
-		define ( 'BP_ACTIVITY_SLUG', $bp->pages->activity->slug );
+		define( 'BP_ACTIVITY_SLUG', bp_core_component_slug_from_root_slug( $bp->pages->activity->slug ) ); 
 
 	// For internal identification
-	$bp->activity->id = 'activity';
+	$bp->activity->id   = 'activity';
 	$bp->activity->name = $bp->pages->activity->name;
-	$bp->activity->slug = BP_ACTIVITY_SLUG;
-
+
+	// Slugs
+	$bp->activity->slug      = BP_ACTIVITY_SLUG;
+	$bp->activity->root_slug = $bp->pages->activity->slug;
+
+	// Tables
 	$bp->activity->table_name      = $bp->table_prefix . 'bp_activity';
 	$bp->activity->table_name_meta = $bp->table_prefix . 'bp_activity_meta';
 
+	// Notifications
 	$bp->activity->format_notification_function = 'bp_activity_format_notifications';
 
@@ -38,5 +46,5 @@
 	$user_domain = ( isset( $bp->displayed_user->domain ) ) ? $bp->displayed_user->domain : $bp->loggedin_user->domain;
 	$user_login = ( isset( $bp->displayed_user->userdata->user_login ) ) ? $bp->displayed_user->userdata->user_login : $bp->loggedin_user->userdata->user_login;
-	$activity_link = $user_domain . $bp->activity->name . '/';
+	$activity_link = $user_domain . $bp->activity->slug . '/';
 
 	/* Add the subnav items to the activity nav item if we are using a theme that supports this */
@@ -44,8 +52,8 @@
 
 	if ( bp_is_active( 'friends' ) )
-		bp_core_new_subnav_item( array( 'name' => __( 'Friends', 'buddypress' ), 'slug' => BP_FRIENDS_SLUG, 'parent_url' => $activity_link, 'parent_slug' => $bp->activity->name, 'screen_function' => 'bp_activity_screen_friends', 'position' => 20, 'item_css_id' => 'activity-friends' ) );
+		bp_core_new_subnav_item( array( 'name' => __( 'Friends', 'buddypress' ), 'slug' => BP_FRIENDS_SLUG, 'parent_url' => $activity_link, 'parent_slug' => $bp->activity->slug, 'screen_function' => 'bp_activity_screen_friends', 'position' => 20, 'item_css_id' => 'activity-friends' ) );
 
 	if ( bp_is_active( 'groups' ) )
-		bp_core_new_subnav_item( array( 'name' => __( 'Groups', 'buddypress' ), 'slug' => BP_GROUPS_SLUG, 'parent_url' => $activity_link, 'parent_slug' => $bp->activity->name, 'screen_function' => 'bp_activity_screen_groups', 'position' => 30, 'item_css_id' => 'activity-groups' ) );
+		bp_core_new_subnav_item( array( 'name' => __( 'Groups', 'buddypress' ), 'slug' => BP_GROUPS_SLUG, 'parent_url' => $activity_link, 'parent_slug' => $bp->activity->slug, 'screen_function' => 'bp_activity_screen_groups', 'position' => 30, 'item_css_id' => 'activity-groups' ) );
 
 	bp_core_new_subnav_item( array( 'name' => __( 'Favorites', 'buddypress' ), 'slug' => 'favorites', 'parent_url' => $activity_link, 'parent_slug' => $bp->activity->name, 'screen_function' => 'bp_activity_screen_favorites', 'position' => 40, 'item_css_id' => 'activity-favs' ) );
@@ -60,5 +68,5 @@
 		}
 	}
-
+	
 	do_action( 'bp_activity_setup_nav' );
 }
Index: /trunk/bp-activity/bp-activity-templatetags.php
===================================================================
--- /trunk/bp-activity/bp-activity-templatetags.php	(revision 3727)
+++ /trunk/bp-activity/bp-activity-templatetags.php	(revision 3728)
@@ -176,38 +176,37 @@
 
 	// The default scope should recognize custom slugs
-	if ( array_key_exists( $bp->current_action, (array)$bp->active_components ) ) {
+	if ( array_key_exists( $bp->current_action, (array)$bp->active_components ) )
 		$scope = $bp->active_components[$bp->current_action];
-	} else {
+	else
 		$scope = $bp->current_action;
-	}
-
-	/* Support for permalinks on single item pages: /groups/my-group/activity/124/ */
+
+	// Support for permalinks on single item pages: /groups/my-group/activity/124/
 	if ( $bp->current_action == $bp->activity->slug )
 		$include = $bp->action_variables[0];
 
-	/* Note: any params used for filtering can be a single value, or multiple values comma separated. */
+	// Note: any params used for filtering can be a single value, or multiple values comma separated.
 	$defaults = array(
-		'display_comments' => 'threaded', // false for none, stream/threaded - show comments in the stream or threaded under items
-		'include' => $include, // pass an activity_id or string of IDs comma-separated
-		'exclude' => $exclude, // pass an activity_id or string of IDs comma-separated
-		'in' => $in, // comma-separated list or array of activity IDs among which to search
-		'sort' => 'DESC', // sort DESC or ASC
-		'page' => 1, // which page to load
-		'per_page' => 20, // number of items per page
-		'max' => false, // max number to return
-		'show_hidden' => $show_hidden, // Show activity items that are hidden site-wide?
-
-		/* Scope - pre-built activity filters for a user (friends/groups/favorites/mentions) */
-		'scope' => $bp->current_action,
-
-		/* Filtering */
-		'user_id' => $user_id, // user_id to filter on
-		'object' => $object, // object to filter on e.g. groups, profile, status, friends
-		'action' => false, // action to filter on e.g. activity_update, new_forum_post, profile_updated
-		'primary_id' => $primary_id, // object ID to filter on e.g. a group_id or forum_id or blog_id etc.
-		'secondary_id' => false, // secondary object ID to filter on e.g. a post_id
-
-		/* Searching */
-		'search_terms' => false // specify terms to search on
+		'display_comments' => 'threaded',   // false for none, stream/threaded - show comments in the stream or threaded under items
+		'include'          => $include,     // pass an activity_id or string of IDs comma-separated
+		'exclude'          => $exclude,     // pass an activity_id or string of IDs comma-separated
+		'in'               => $in,          // comma-separated list or array of activity IDs among which to search
+		'sort'             => 'DESC',       // sort DESC or ASC
+		'page'             => 1,            // which page to load
+		'per_page'         => 20,           // number of items per page
+		'max'              => false,        // max number to return
+		'show_hidden'      => $show_hidden, // Show activity items that are hidden site-wide?
+
+		// Scope - pre-built activity filters for a user (friends/groups/favorites/mentions)
+		'scope'            => $scope,
+
+		// Filtering
+		'user_id'          => $user_id,     // user_id to filter on
+		'object'           => $object,      // object to filter on e.g. groups, profile, status, friends
+		'action'           => false,        // action to filter on e.g. activity_update, new_forum_post, profile_updated
+		'primary_id'       => $primary_id,  // object ID to filter on e.g. a group_id or forum_id or blog_id etc.
+		'secondary_id'     => false,        // secondary object ID to filter on e.g. a post_id
+
+		// Searching
+		'search_terms'     => false         // specify terms to search on
 	);
 
@@ -215,5 +214,5 @@
 	extract( $r );
 
-	/* If you have passed a "scope" then this will override any filters you have passed. */
+	// If you have passed a "scope" then this will override any filters you have passed.
 	if ( 'just-me' == $scope || 'friends' == $scope || 'groups' == $scope || 'favorites' == $scope || 'mentions' == $scope ) {
 		if ( 'just-me' == $scope )
@@ -272,10 +271,11 @@
 	}
 
-	/* Support for basic filters in earlier BP versions. */
-	$filter = false;
+	// Support for basic filters in earlier BP versions.
 	if ( isset( $_GET['afilter'] ) )
 		$filter = array( 'object' => $_GET['afilter'] );
 	else if ( !empty( $user_id ) || !empty( $object ) || !empty( $action ) || !empty( $primary_id ) || !empty( $secondary_id ) )
 		$filter = array( 'user_id' => $user_id, 'object' => $object, 'action' => $action, 'primary_id' => $primary_id, 'secondary_id' => $secondary_id );
+	else
+		$filter = false;
 
 	$activities_template = new BP_Activity_Template( $page, $per_page, $max, $include, $sort, $filter, $search_terms, $display_comments, $show_hidden, $exclude, $in );
Index: /trunk/bp-blogs.php
===================================================================
--- /trunk/bp-blogs.php	(revision 3727)
+++ /trunk/bp-blogs.php	(revision 3728)
@@ -1,7 +1,9 @@
 <?php
+
+// Required Files
 require ( BP_PLUGIN_DIR . '/bp-blogs/bp-blogs-classes.php' );
 require ( BP_PLUGIN_DIR . '/bp-blogs/bp-blogs-templatetags.php' );
 
-/* Include the sitewide blog posts widget if this is a multisite installation */
+// Include the sitewide blog posts widget if this is a multisite installation
 if ( is_multisite() )
 	require ( BP_PLUGIN_DIR . '/bp-blogs/bp-blogs-widgets.php' );
@@ -11,20 +13,25 @@
 
 	if ( !defined( 'BP_BLOGS_SLUG' ) && isset( $bp->pages->blogs->slug ) )
-		define ( 'BP_BLOGS_SLUG', $bp->pages->blogs->slug );
-	elseif( !defined( 'BP_BLOGS_SLUG' ) )
+		define ( 'BP_BLOGS_SLUG', bp_core_component_slug_from_root_slug( $bp->pages->blogs->slug ) );
+	else if( !defined( 'BP_BLOGS_SLUG' ) )
 		define ( 'BP_BLOGS_SLUG', 'blogs' );
 
 	// For internal identification
-	$bp->blogs->id = 'blogs';
-
-	$bp->blogs->slug = BP_BLOGS_SLUG;
-
+	$bp->blogs->id   = 'blogs';
+	$bp->blogs->name = $bp->pages->blogs->name;
+
+	// Slugs
+	$bp->blogs->slug      = BP_BLOGS_SLUG;
+	$bp->blogs->root_slug = $bp->pages->blogs->slug;
+
+	// Tables
 	$bp->blogs->table_name          = $bp->table_prefix . 'bp_user_blogs';
 	$bp->blogs->table_name_blogmeta = $bp->table_prefix . 'bp_user_blogs_blogmeta';
 
-	$bp->blogs->format_notification_function = 'bp_blogs_format_notifications';
+	// Notifications
+	$bp->blogs->format_notification_function      = 'bp_blogs_format_notifications';
 
 	// Register this in the active components array
-	$bp->active_components[$bp->blogs->slug] = $bp->blogs->id;
+	$bp->active_components[$bp->blogs->slug]      = $bp->blogs->id;
 
 	// The default text for the blogs directory search box
@@ -36,6 +43,4 @@
 
 /**
- * bp_blogs_setup_nav()
- *
  * Adds "Blog" to the navigation arrays for the current and logged in user.
  *
@@ -47,15 +52,18 @@
 	global $bp;
 
-	/* Blog/post/comment menus should not appear on single WordPress setups. Although comments
-	   and posts made by users will still show on their activity stream .*/
+	/**
+	 * Blog/post/comment menus should not appear on single WordPress setups.
+	 * Although comments and posts made by users will still show on their
+	 * activity stream.
+	 */
 	if ( !is_multisite() )
 		return false;
 
-	/* Add 'Blogs' to the main navigation */
+	// Add 'Blogs' to the main navigation
 	bp_core_new_nav_item( array( 'name' => sprintf( __( 'Blogs <span>(%d)</span>', 'buddypress' ), bp_blogs_total_blogs_for_user() ), 'slug' => $bp->blogs->slug, 'position' => 30, 'screen_function' => 'bp_blogs_screen_my_blogs', 'default_subnav_slug' => 'my-blogs', 'item_css_id' => $bp->blogs->id ) );
 
 	$blogs_link = $bp->loggedin_user->domain . $bp->blogs->slug . '/';
 
-	/* Set up the component options navigation for Blog */
+	// Set up the component options navigation for Blog
 	if ( $bp->blogs->slug == $bp->current_component ) {
 		if ( bp_is_my_profile() ) {
@@ -64,5 +72,6 @@
 			}
 		} else {
-			/* If we are not viewing the logged in user, set up the current users avatar and name */
+			// If we are not viewing the logged in user, set up the current
+			// users avatar and name
 			$bp->bp_options_avatar = bp_core_fetch_avatar( array( 'item_id' => $bp->displayed_user->id, 'type' => 'thumb' ) );
 			$bp->bp_options_title = $bp->displayed_user->fullname;
@@ -87,5 +96,5 @@
 
 
-/********************************************************************************
+/*******************************************************************************
  * Screen Functions
  *
@@ -117,9 +126,8 @@
 	bp_core_load_template( apply_filters( 'bp_blogs_template_create_a_blog', 'blogs/create' ) );
 }
-/* The create screen is not attached to a nav item, so we need to attach it to an action */
 add_action( 'wp', 'bp_blogs_screen_create_a_blog', 3 );
 
 
-/********************************************************************************
+/*******************************************************************************
  * Activity & Notification Functions
  *
@@ -148,20 +156,23 @@
 		return false;
 
-	/* Because blog, comment, and blog post code execution happens before anything else
-	   we may need to manually instantiate the activity component globals */
+	/**
+	 * Because blog, comment, and blog post code execution happens before
+	 * anything else we may need to manually instantiate the activity
+	 * component globals.
+	 */
 	if ( !$bp->activity && function_exists('bp_activity_setup_globals') )
 		bp_activity_setup_globals();
 
 	$defaults = array(
-		'user_id' => $bp->loggedin_user->id,
-		'action' => '',
-		'content' => '',
-		'primary_link' => '',
-		'component' => $bp->blogs->id,
-		'type' => false,
-		'item_id' => false,
+		'user_id'           => $bp->loggedin_user->id,
+		'action'            => '',
+		'content'           => '',
+		'primary_link'      => '',
+		'component'         => $bp->blogs->id,
+		'type'              => false,
+		'item_id'           => false,
 		'secondary_item_id' => false,
-		'recorded_time' => bp_core_current_time(),
-		'hide_sitewide' => false
+		'recorded_time'     => bp_core_current_time(),
+		'hide_sitewide'     => false
 	);
 
@@ -169,5 +180,5 @@
 	extract( $r, EXTR_SKIP );
 
-	/* Remove large images and replace them with just one image thumbnail */
+	// Remove large images and replace them with just one image thumbnail
  	if ( function_exists( 'bp_activity_thumbnail_content_images' ) && !empty( $content ) )
 		$content = bp_activity_thumbnail_content_images( $content, $primary_link );
@@ -179,5 +190,5 @@
 		$content = apply_filters( 'bp_blogs_record_activity_content', bp_create_excerpt( $content ), $content );
 
-	/* Check for an existing entry and update if one exists. */
+	// Check for an existing entry and update if one exists.
 	$id = bp_activity_get_activity_id( array(
 		'user_id' => $user_id,
@@ -194,10 +205,10 @@
 	global $bp;
 
-	if ( function_exists('bp_activity_delete_by_item_id') ) {
+	if ( function_exists( 'bp_activity_delete_by_item_id' ) ) {
 		$defaults = array(
-			'item_id' => false,
-			'component' => $bp->blogs->id,
-			'type' => false,
-			'user_id' => false,
+			'item_id'           => false,
+			'component'         => $bp->blogs->id,
+			'type'              => false,
+			'user_id'           => false,
 			'secondary_item_id' => false
 		);
@@ -229,10 +240,9 @@
 
 	$defaults = array(
-		'type' => 'active', // active, alphabetical, newest, or random.
-		'user_id' => false, // Pass a user_id to limit to only blogs that this user has privilages higher than subscriber on.
-		'search_terms' => false, // Limit to blogs that match these search terms
-
-		'per_page' => 20, // The number of results to return per page
-		'page' => 1, // The page to return if limiting per page
+		'type'         => 'active', // active, alphabetical, newest, or random
+		'user_id'      => false,    // Pass a user_id to limit to only blogs that this user has privilages higher than subscriber on
+		'search_terms' => false,    // Limit to blogs that match these search terms
+		'per_page'     => 20,       // The number of results to return per page
+		'page'         => 1,        // The page to return if limiting per page
 	);
 
@@ -246,5 +256,5 @@
 	global $bp, $wpdb;
 
-	/* Truncate user blogs table and re-record. */
+	// Truncate user blogs table and re-record.
 	$wpdb->query( "TRUNCATE TABLE {$bp->blogs->table_name}" );
 
@@ -320,6 +330,4 @@
 
 /**
- * bp_blogs_update_option_blogname()
- *
  * Updates blogname in BuddyPress blogmeta table
  *
@@ -330,4 +338,5 @@
 function bp_blogs_update_option_blogname( $oldvalue, $newvalue ) {
 	global $wpdb;
+
 	bp_blogs_update_blogmeta( $wpdb->blogid, 'name', $newvalue );
 }
@@ -335,6 +344,4 @@
 
 /**
- * bp_blogs_update_option_blogdescription()
- *
  * Updates blogdescription in BuddyPress blogmeta table
  *
@@ -345,4 +352,5 @@
 function bp_blogs_update_option_blogdescription( $oldvalue, $newvalue ) {
 	global $wpdb;
+
 	bp_blogs_update_blogmeta( $wpdb->blogid, 'description', $newvalue );
 }
@@ -380,5 +388,5 @@
 
 			bp_blogs_record_activity( array(
-				'user_id'            => (int)$post->post_author,
+				'user_id'           => (int)$post->post_author,
 				'action'            => apply_filters( 'bp_blogs_activity_new_post_action', $activity_action, &$post, $post_permalink ),
 				'content'           => apply_filters( 'bp_blogs_activity_new_post_content', $activity_content, &$post, $post_permalink ),
@@ -402,6 +410,4 @@
 
 /**
- * bp_blogs_record_comment()
- *
  * Record blog comment activity. Checks if blog is public and post is not
  * password protected.
@@ -428,5 +434,5 @@
 
 	// Get the user_id from the comment author email.
-	$user = get_user_by_email( $recorded_comment->comment_author_email );
+	$user    = get_user_by_email( $recorded_comment->comment_author_email );
 	$user_id = (int)$user->ID;
 
@@ -436,5 +442,5 @@
 
 	// Get blog and post data
-	$blog_id = (int)$wpdb->blogid;
+	$blog_id                = (int)$wpdb->blogid;
 	$recorded_comment->post = get_post( $recorded_comment->comment_post_ID );
 
@@ -451,9 +457,8 @@
 
 		// Prepare to record in activity streams
-		if ( is_multisite() ) {
-			$activity_action	= sprintf( __( '%1$s commented on the blog post %2$s on the blog %3$s', 'buddypress' ), bp_core_get_userlink( $user_id ), '<a href="' . $post_permalink . '">' . apply_filters( 'the_title', $recorded_comment->post->post_title ) . '</a>', '<a href="' . get_blog_option( $blog_id, 'home' ) . '">' . get_blog_option( $blog_id, 'blogname' ) . '</a>' );
-		} else {
-			$activity_action	= sprintf( __( '%1$s commented on the blog post %2$s', 'buddypress' ), bp_core_get_userlink( $user_id ), '<a href="' . $post_permalink . '">' . apply_filters( 'the_title', $recorded_comment->post->post_title ) . '</a>' );
-		}
+		if ( is_multisite() )
+			$activity_action = sprintf( __( '%1$s commented on the blog post %2$s on the blog %3$s', 'buddypress' ), bp_core_get_userlink( $user_id ), '<a href="' . $post_permalink . '">' . apply_filters( 'the_title', $recorded_comment->post->post_title ) . '</a>', '<a href="' . get_blog_option( $blog_id, 'home' ) . '">' . get_blog_option( $blog_id, 'blogname' ) . '</a>' );
+		else
+			$activity_action = sprintf( __( '%1$s commented on the blog post %2$s', 'buddypress' ), bp_core_get_userlink( $user_id ), '<a href="' . $post_permalink . '">' . apply_filters( 'the_title', $recorded_comment->post->post_title ) . '</a>' );
 
 		$activity_content	= $recorded_comment->comment_content;
@@ -478,5 +483,5 @@
 }
 add_action( 'comment_post', 'bp_blogs_record_comment', 10, 2 );
-add_action( 'edit_comment', 'bp_blogs_record_comment', 10 );
+add_action( 'edit_comment', 'bp_blogs_record_comment', 10    );
 
 function bp_blogs_manage_comment( $comment_id, $comment_status ) {
@@ -509,6 +514,6 @@
 }
 add_action( 'add_user_to_blog', 'bp_blogs_add_user_to_blog', 10, 3 );
-add_action( 'profile_update', 'bp_blogs_add_user_to_blog' );
-add_action( 'user_register', 'bp_blogs_add_user_to_blog' );
+add_action( 'profile_update',   'bp_blogs_add_user_to_blog'        );
+add_action( 'user_register',    'bp_blogs_add_user_to_blog'        );
 
 function bp_blogs_remove_user_from_blog( $user_id, $blog_id = false ) {
@@ -605,5 +610,5 @@
 	global $bp;
 
-	/* If this is regular blog, delete all data for that blog. */
+	// If this is regular blog, delete all data for that blog.
 	BP_Blogs_Blog::delete_blog_for_all( $blog_id );
 
@@ -643,10 +648,12 @@
 
 
-//
-// Blog meta functions
-// These functions are used to store specific blogmeta in one global table, rather than in each
-// blog's options table. Significantly speeds up global blog queries.
-// By default each blog's name, description and last updated time are stored and synced here.
-//
+/*******************************************************************************
+ * Blog meta functions
+ *
+ * These functions are used to store specific blogmeta in one global table,
+ * rather than in each blog's options table. Significantly speeds up global blog
+ * queries. By default each blog's name, description and last updated time are
+ * stored and synced here.
+ */
 
 function bp_blogs_delete_blogmeta( $blog_id, $meta_key = false, $meta_value = false ) {
@@ -663,11 +670,10 @@
 	$meta_value = trim( $meta_value );
 
-	if ( !$meta_key ) {
+	if ( !$meta_key )
 		$wpdb->query( $wpdb->prepare( "DELETE FROM {$bp->blogs->table_name_blogmeta} WHERE blog_id = %d", $blog_id ) );
-	} else if ( $meta_value ) {
+	else if ( $meta_value )
 		$wpdb->query( $wpdb->prepare( "DELETE FROM {$bp->blogs->table_name_blogmeta} WHERE blog_id = %d AND meta_key = %s AND meta_value = %s", $blog_id, $meta_key, $meta_value ) );
-	} else {
+	else
 		$wpdb->query( $wpdb->prepare( "DELETE FROM {$bp->blogs->table_name_blogmeta} WHERE blog_id = %d AND meta_key = %s", $blog_id, $meta_key ) );
-	}
 
 	wp_cache_delete( 'bp_blogs_blogmeta_' . $blog_id . '_' . $meta_key, 'bp' );
@@ -723,17 +729,15 @@
 	$meta_value = maybe_serialize($meta_value);
 
-	if (empty($meta_value)) {
+	if (empty( $meta_value ) )
 		return bp_blogs_delete_blogmeta( $blog_id, $meta_key );
-	}
 
 	$cur = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM {$bp->blogs->table_name_blogmeta} WHERE blog_id = %d AND meta_key = %s", $blog_id, $meta_key ) );
 
-	if ( !$cur ) {
+	if ( !$cur )
 		$wpdb->query( $wpdb->prepare( "INSERT INTO {$bp->blogs->table_name_blogmeta} ( blog_id, meta_key, meta_value ) VALUES ( %d, %s, %s )", $blog_id, $meta_key, $meta_value ) );
-	} else if ( $cur->meta_value != $meta_value ) {
+	else if ( $cur->meta_value != $meta_value )
 		$wpdb->query( $wpdb->prepare( "UPDATE {$bp->blogs->table_name_blogmeta} SET meta_value = %s WHERE blog_id = %d AND meta_key = %s", $meta_value, $blog_id, $meta_key ) );
-	} else {
-		return false;
-	}
+	else
+		return false;
 
 	wp_cache_set( 'bp_blogs_blogmeta_' . $blog_id . '_' . $meta_key, $meta_value, 'bp' );
@@ -746,15 +750,15 @@
 		return false;
 
-	/* If this is regular blog, delete all data for that blog. */
+	// If this is regular blog, delete all data for that blog.
 	BP_Blogs_Blog::delete_blogs_for_user( $user_id );
 
 	do_action( 'bp_blogs_remove_data', $user_id );
 }
-add_action( 'wpmu_delete_user', 'bp_blogs_remove_data' );
-add_action( 'delete_user', 'bp_blogs_remove_data' );
+add_action( 'wpmu_delete_user',  'bp_blogs_remove_data' );
+add_action( 'delete_user',       'bp_blogs_remove_data' );
 add_action( 'bp_make_spam_user', 'bp_blogs_remove_data' );
 
 
-/********************************************************************************
+/*******************************************************************************
  * Caching
  *
@@ -775,16 +779,16 @@
 // List actions to clear object caches on
 add_action( 'bp_blogs_remove_blog_for_user', 'bp_blogs_clear_blog_object_cache', 10, 2 );
-add_action( 'bp_blogs_new_blog', 'bp_blogs_format_clear_blog_cache', 10, 2 );
+add_action( 'bp_blogs_new_blog',             'bp_blogs_format_clear_blog_cache', 10, 2 );
 
 // List actions to clear super cached pages on, if super cache is installed
 add_action( 'bp_blogs_remove_data_for_blog', 'bp_core_clear_cache' );
-add_action( 'bp_blogs_remove_comment', 'bp_core_clear_cache' );
-add_action( 'bp_blogs_remove_post', 'bp_core_clear_cache' );
+add_action( 'bp_blogs_remove_comment',       'bp_core_clear_cache' );
+add_action( 'bp_blogs_remove_post',          'bp_core_clear_cache' );
 add_action( 'bp_blogs_remove_blog_for_user', 'bp_core_clear_cache' );
-add_action( 'bp_blogs_remove_blog', 'bp_core_clear_cache' );
-add_action( 'bp_blogs_new_blog_comment', 'bp_core_clear_cache' );
-add_action( 'bp_blogs_new_blog_post', 'bp_core_clear_cache' );
-add_action( 'bp_blogs_new_blog', 'bp_core_clear_cache' );
-add_action( 'bp_blogs_remove_data', 'bp_core_clear_cache' );
+add_action( 'bp_blogs_remove_blog',          'bp_core_clear_cache' );
+add_action( 'bp_blogs_new_blog_comment',     'bp_core_clear_cache' );
+add_action( 'bp_blogs_new_blog_post',        'bp_core_clear_cache' );
+add_action( 'bp_blogs_new_blog',             'bp_core_clear_cache' );
+add_action( 'bp_blogs_remove_data',          'bp_core_clear_cache' );
 
 ?>
